package com.srs.dormitory.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 宿舍楼和部门关系中间表
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-31
 */
@Data
@TableName("dms_building_dept")
@ApiModel(value = "DmsBuildingDept对象", description = "宿舍楼和部门关系中间表")
public class DmsBuildingDept implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField("building_id")
    private Long buildingId;

    @TableField("dept_id")
    private Long deptId;


}




