package com.srs.dormitory.domain.Dto;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

@Data
public class AddDelayApplicationDto {
    @NotNull(message = "请输入宿舍ID")
    private Long dormitoryId;
    @NotNull(message = "请输入床位ID")
    private Long bedId;
    @NotNull(message = "请输入最终退宿时间")
    private LocalDateTime delayTime;
    @NotEmpty(message = "请输入学号")
    private String stuNo;
    private String reason;
}
