package com.srs.dormitory.domain.Dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class AllocateDto {

    @NotBlank(message = "班级代码不能为空")
    private String BJDM;
    @NotEmpty(message = "请先选择宿舍")
    private List<Long> dormitoryIds;
    @NotBlank(message = "性别不能为空")
    private String gender;
}
