package com.srs.dormitory.domain.Dto;

import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.Max;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

@Data
public class AssessDto {
    @NotNull(message = "id 不能为空")
    private Long id;
    @Min(value = 1, message = "最低评分为1分")
    @Max(value = 5, message = "最高评分为5分")
    private Integer satisfaction;
    private String appraise;

}


