package com.srs.dormitory.domain.Dto;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.List;

@Data
public class CheckoutApplicationDto {
    @NotEmpty(message = "申请ID列表不能为空")
    private List<Long> ids;
    @NotNull(message = "是否同意审核")
    @Pattern(regexp = "-1|1", message = "status只能输入1或-1")
    private Integer status;
    private String comment;
}
