package com.srs.dormitory.domain.Dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @author zhy
 * @date 2024-03-27 8:44
 * @description
 */
@Data
public class DmsSearch {

    /** 学院id*/
    public Long deptId;
    /** 专业id*/
    public Long majorId;
    /** 班级id*/
    public Long classId;
    /** 年级id*/
    public Long gradeId;
    /** 学年id*/
    public Long stuYearId;
    /** 学生姓名*/
    public String stuName;
    /** 学号*/
    public String stuNo;
    /** 学生id*/
    public String stuId;
    /** 状态 **/
    public String status;
    /** 工号 **/
    public String tNo;
    public String teacherName;
    /** code **/
    public String code;
    /** typeName **/
    public  String typeName;

    public String step;

    public String deptCode;

    public Long dormitoryId;
    public Long floorId;
    public Long buildingId;
    public Long parkId;
    public Long campusId;
    public String roomNo;

    public String classCode;
    public Integer isMixed;

    public String ksh;

    public String rangeCode;

    public String gender;

    @JsonFormat(pattern = "yyyy-MM-dd")
    public Date time;

    public String type;


    public String isNew;

    public String idCard;

    public String parkName;

    public String buildingName;
    public  String deptName;
    public  String className;
    public String ranking;
    public  String termName;

}
