package com.srs.dormitory.domain.Dto;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
public class DormitoryDto {
    @ApiModelProperty("宿舍id")
    private Long id;
    @ApiModelProperty("楼层id")
    private Long floorId;
    @ApiModelProperty("房间号")
    private Long roomNo;
    @ApiModelProperty("床位数")
    private Integer bedNum;
    @ApiModelProperty("状态(0：未入住；1：已入住；2：维修中)")
    private Integer status;
    private Double bedChange;
    private Integer num;
    private Long startNo;
    private String photoList;
    public Integer occupancy;

    public String gender;
    public String remark;
}
