package com.srs.dormitory.domain.Vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import lombok.Data;

import java.util.List;
@Data
public class DormitoryVo {
    @Excel(name = "宿舍id")
    private Long id;

    @Excel(name = "所属校区")
    private String campusName;

    @Excel(name = "所属园区")
    private String parkName;

    @Excel(name = "所属宿舍楼")
    private String buildingName;

    @Excel(name = "房间号")
    private String roomNo;

    @Excel(name = "宿舍性别")
    public String gender;

    @Excel(name = "床位数")
    private int bedNum;
    @Excel(name = "入住人数")
    private int occupancy;

    @Excel(name = "10个月收费标准")
    public String chargeStandard;



    private String status;
    private String createBy;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createTime;
    private List<PhotoVO> photoList;
    public String isNew;

    public int taskNum;
    public int manageNum;
    public String liveCount;
}
