package com.srs.comprehensive.domain.Dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.srs.common.annotation.Excel;
import com.srs.comprehensive.domain.CphStuScoreMiddle;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Objects;

@Data
@TableName("cph_stu_score_middle")
public class CphStuScoreMiddleDto {
    @TableId(type = IdType.AUTO)
    private Long id;
    private Long xqid;
    private String xndm;
    private String xqdm;
    @TableField("stu_no")
    private String stuNo;
    private String kcdm;
    private BigDecimal xf;
    private BigDecimal jd;
    private String cj;
    private Long fzlx;
    @TableField("is_pass")
    private String isPass;

//    public CphStuScoreMiddleDto(){
//
//    }
//
//    public CphStuScoreMiddleDto(String stuNo,String kcdm){
//        this.stuNo=stuNo;
//        this.kcdm=kcdm;
//    }
//
//    @Override
//    public boolean equals(Object o) {
//        if (this == o) return true;
//        if (o == null || getClass() != o.getClass()) return false;
//        CphStuScoreMiddleDto person = (CphStuScoreMiddleDto) o;
//        return Objects.equals(stuNo, person.stuNo) &&
//                kcdm.equals(person.kcdm);
//    }
//
//    @Override
//    public int hashCode() {
//        return Objects.hash(stuNo, kcdm);
//    }
//
//    @Override
//    public String toString() {
//        return "CphStuScoreMiddleDto{" +
//                "stuNo='" + stuNo + '\'' +
//                ", kcdm=" + kcdm +
//                '}';
//    }
}
