package com.srs.comprehensive.domain;

import com.srs.comprehensive.domain.Vo.GraduateVo;
import lombok.Data;
import java.util.List;

import java.util.Date;

/**
 * 毕业生信息(主)
 * 邵政文
 * 2025-07-01
 */
@Data
public class SaveStudent {
    /**
     * 主键id
     */
    private Long id;

    /**
     * 学生姓名
     */
    private String studentName;

    /**
     * 学生学号
     */
    private String studentCode;

    /**
     * 学生所属学院
     */
    private String studentCollege;

    /**
     * 学生所属年级
     */
    private String studentGrade;

    /**
     * 学生所属班级
     */
    private String studentClass;

    /**
     * 性别（女，男）
     */
    private String sex;

    /**
     * 民族
     */
    private String nation;

    /**
     * 出生日期
     */
    private Date birthData;

    /**
     * 学年信息
     */
    List<GraduateVo> graduateVoList;

}
