package com.srs.comprehensive.mapper;

import com.srs.comprehensive.domain.SchoolMajor;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import java.util.List;

/**
 * (SchoolMajor)表数据库访问层
 *
 * @author Chao
 * @since 2023-07-14 10:22:29
 */
@Mapper
public interface SchoolMajorMapper {

    /**
     * 查询所有数据
     *
     * @return 实例对象集合
     */
    List<SchoolMajor> queryAll();

    /**
     * 修改数据
     *
     * @param schoolMajor 实例对象
     * @return 影响行数
     */
    int update(SchoolMajor schoolMajor);



}


