package com.srs.comprehensive.mapper;

import com.srs.common.annotation.DataSource;
import com.srs.common.enums.DataSourceType;
import com.srs.comprehensive.domain.SchoolYear;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SchoolYearMapper {
    //查询全部
    @DataSource(DataSourceType.SLAVE)
    List<SchoolYear> selectSchoolYearAll();
    //修改
    @DataSource(DataSourceType.SLAVE)
    int updateSchoolYear(SchoolYear schoolYear);
}
