package com.srs.diagnostic.mapper;

import java.util.List;

import com.srs.diagnostic.domain.DiaReportSubmissions;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 学生报提交记录Mapper接口
 *
 * @author srs
 * @date 2025-04-22
 */
public interface DiaReportSubmissionsMapper extends BaseMapper<DiaReportSubmissions> {


    /**
     * 查询学生报提交记录列表
     *
     * @param diaReportSubmissions 学生报提交记录
     * @return 学生报提交记录集合
     */
    List<DiaReportSubmissions> selectDiaReportSubmissionsList(DiaReportSubmissions diaReportSubmissions);




}
