package com.srs.routine.domain.dto;

import com.srs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("考勤信息查询对象")
public class  StuLeaveApplicationDto extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 请假申请id
     */
    @ApiModelProperty("请假申请id")
    private Long leaveApplicationId;

    /**
     * 学生学号
     */
    @ApiModelProperty("学生学号")
    private String stuNo;

    /**
     * 学生姓名
     */
    @ApiModelProperty("学生姓名")
    private String name;

    @ApiModelProperty("提交状态")
    private String leaveStatus;

    /**
     * 班级id
     */
    @ApiModelProperty("班级id")
    private String classId;

    @ApiModelProperty("辅导员工号")
    private String userName;

    @ApiModelProperty("部门id")
    private Long deptId;
}
