package com.srs.routine.domain.vo;

import com.srs.routine.domain.RtFuSolt;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class RtFuInserSoltVo implements Serializable {
    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("功能房规则类型")
    private String roType;


    @ApiModelProperty("星期")
    private String roWeekday;

    @ApiModelProperty("规则名字")
    private String soNo;

    @ApiModelProperty("自己的编码")
    private String soRule;

    @ApiModelProperty("开始的时间段")
    private String roStartTime;

    @ApiModelProperty("结束的时间段")
    private String roEndTime;


    @ApiModelProperty("星期")
    private List<RtFuSolt> timeSolts;
}
