package com.srs.routine.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.srs.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class RtFuResSoltVo implements Serializable {
    private static final long serialVersionUID=1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("功能房代码")
    private String roNo;

    @ApiModelProperty("功能房名")
    private String roomName;

    @ApiModelProperty("使用事项")
    private String roomMatter;

    @ApiModelProperty("功能房规则")
    private String roomRule;

    @ApiModelProperty("功能房介绍")
    private String roomInfo;

    @ApiModelProperty("功能房用途")
    private String roomPurp;

    @ApiModelProperty("开放状态")
    private String status;

    @ApiModelProperty("功能房可承载人数")
    private String roomCapacity;

    private List<RtfuRuleVo> RtFuSoltList;
    public HashMap Wek;
}
