package com.srs.routine.domain.vo;


import com.baomidou.mybatisplus.annotation.TableField;
import com.srs.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class RtfuRoTimeVo implements Serializable {
    private static final long serialVersionUID=1L;

    @ApiModelProperty("功能房预约编码")
    private String reNo;

    @ApiModelProperty("功能房编码")
    private String roNo;

    @ApiModelProperty("功能房名")
    private String roomName;


    @ApiModelProperty("预约时间")
    private String rtTime;

    @ApiModelProperty("预约时间段")
    private String rtYuyue;

    @ApiModelProperty("开始的时间段")
    private String roStartTime;

    @ApiModelProperty("结束的时间段")
    private String roEndTime;

    @ApiModelProperty("星期")
    private String rtweekday;

    @ApiModelProperty("学号")
    private String rtCreatRole;

    @ApiModelProperty("名字")
    private String nickName;
}
