package com.srs.routine.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.srs.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class RtfuyuyueVo implements Serializable {
    private static final long serialVersionUID=1L;

    @ApiModelProperty("功能房编码")
    private String roNo;

    @ApiModelProperty("功能房名")
    private String roomName;

    @ApiModelProperty("功能房可承载人数")
    private String roomCapacity;

    @ApiModelProperty("功能房规则类型")
    private String roType;


    @ApiModelProperty("星期")
    private String roWeekday;

//    @ApiModelProperty("规则名字")
//    private String soNo;
//
//    @ApiModelProperty("自己的编码")
//    private String soRule;
//
//    @ApiModelProperty("开始的时间段")
//    private String roStartTime;
//
//    @ApiModelProperty("结束的时间段")
//    private String roEndTime;
@ApiModelProperty("使用事项")
private String roomMatter;

    HashMap<String, List<Map<String, Object>>> yuyueTimeMap = new HashMap<>();
}
