package com.srs.stureg.service.impl;

import com.srs.common.annotation.DataSource;
import com.srs.common.enums.DataSourceType;
import com.srs.stureg.domain.SrsStuCheck;
import com.srs.stureg.mapper.SrsStuCheckDataSyncMapper;
import com.srs.stureg.service.ISrsStuCheckDataSyncService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
@DataSource(value = DataSourceType.SLAVE)
public class SrsStuCheckDataSyncServiceImpl  implements ISrsStuCheckDataSyncService {

    @Autowired
    SrsStuCheckDataSyncMapper srsStuCheckMapper;

    @Override
    public List<SrsStuCheck> getSrsStucheckList() {
        return srsStuCheckMapper.getSrsStucheckList();
    }
}
