package com.srs.teacher.domain;


import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;
import lombok.*;


/**
 * takeClass对象 sys_teacher_takeclass
 *
 * @author srs
 * @date 2024-06-07
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder

public class SysTeacherTakeclass extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 带班ID */
    private Long takeclassId;

    /** 辅导员ID */
    @Excel(name = "辅导员ID")
    private Long teacherId;

    /** 带班学院 */
    @Excel(name = "带班学院")
    private String college;

    /** 带班年级 */
    @Excel(name = "带班年级")
    private String grade;

    /** 带班班级 */
    @Excel(name = "带班班级")
    private String classteam;

    /** 带班人数 */
    @Excel(name = "带班人数")
    private Long number;


}
