package com.srs.workstudy.domain.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@ApiModel("学生岗位查询对象")
public class StuPostListFindVo implements Serializable {
    private static final long serialVersionUID = 1L;

    // 岗位id
    private Long id;
    // 岗位id
    private Long postId;
    // 学号
    private String stuNo;
    // 姓名
    private String stuName;

    // 课余时间
    private BigDecimal canTime;

    // 家庭情况
    private String familyCondition;
    // 电话
    private String stuPhone;

    // 家庭住址
    private String familyAddr;

    // 在岗状态
    private String workStatus;

    // 指导老师工号
    private String zdlsNo;

    // 岗位名称
    private String postName;

    // 部门编码
    private String deptCode;

    // 部门名称
    private String deptName;

    //
    private String zdlsName;



}
