package com.srs.dormitory.domain.Dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class BuildingDto {
    @ApiModelProperty("宿舍楼ID")
    private Long id;

    @ApiModelProperty("宿舍楼名称")
    private String name;

    @ApiModelProperty("所属园区id")
    private Long parkId;

    @ApiModelProperty("负责人")
    private String manager;

    @ApiModelProperty("负责人电话")
    private String managerPhone;

    @ApiModelProperty("宿舍楼图片路径")
    private String image;

    @ApiModelProperty("单元数")
    private Long unitNumber;

    @ApiModelProperty("楼层数")
    private Long floorNumber;

    @ApiModelProperty("床位数")
    private Long bedCount;

    @ApiModelProperty("入住性别")
    private String gender;

}
