package com.srs.dormitory.domain.Dto;

import lombok.Data;


import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

@Data
public class RepairDto {
    @NotNull(message = "id 不能为空")
    private Long id;
    @Pattern(regexp = "^(2|-2)$", message = "status 只能填2或-2")
    private String status;
}

