package com.srs.dormitory.domain.Dto;

import lombok.Data;

import javax.validation.constraints.Digits;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

@Data
public class UpdateTransferApplicationDto {
    @NotNull(message = "请输入申请表ID")
    private Long id;
    @NotNull(message = "请输入是否同意申请")
    @Digits(integer = 1, fraction = 0, message = "status只能输入1或-1")
    private Integer status;
    private String comment;
}
