package com.srs.dormitory.domain.Vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import javax.validation.constraints.Pattern;
import java.time.LocalDateTime;
import java.util.Map;

@Data
public class RepairListVo {
    private Long id;
    private String stuNo;
    private String stuName;
    private String repairNumber;
    private String description;
    @Pattern(regexp = "-4|-3|-2|-1|0|1|2|3|4", message = "只能传-4到4之间的值")
    private String status;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}
