package com.srs.dormitory.mapper;

import com.srs.dormitory.domain.DmsCampus;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.Vo.CampusVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 校区表 Mapper 接口
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-14
 */
public interface DmsCampusMapper extends BaseMapper<DmsCampus> {

    List<CampusVo> selectCapusList(@Param("name") String name);
}
