package com.srs.dormitory.mapper;

import com.srs.dormitory.domain.DmsChangeLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 学生宿舍信息变化记录表 Mapper 接口
 * </p>
 *
 * @author szz
 * @since 2023年07月28日
 */
@Mapper
public interface DmsChangeLogMapper extends BaseMapper<DmsChangeLog> {

    /**
     * 查看学生宿舍信息变化记录列表
     * @param params 请求参数
     * @return
     */
    List<Map<String, Object>> getLogList(Map<String, String> params);
}
