package com.srs.dormitory.mapper;

import com.srs.dormitory.domain.DmsDormitoryUnit;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.Dto.UnitDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 单元表 Mapper 接口
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-14
 */
public interface DmsDormitoryUnitMapper extends BaseMapper<DmsDormitoryUnit> {
    /**
     * 查看单元详情
     * @param id 单元id
     * @return
     */
    Map<String,Object> selectUnitById(@Param("id") Long id);

    List<Map<String, Object>> getList(UnitDto unitDto);
}
