package com.srs.dormitory.service;

import com.srs.dormitory.domain.DmsChangeLog;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 学生宿舍信息变化记录表 服务类
 * </p>
 *
 * @author szz
 * @since 2023年07月28日
 */
public interface IDmsChangeLogService extends IService<DmsChangeLog> {
    /**
     * 查看学生宿舍信息变化记录列表
     * @param params 请求参数
     * @return
     */
    List<Map<String, Object>> getLogList(Map<String, String> params);
}
