package com.srs.web.controller.comprehensive;

import com.srs.common.annotation.Anonymous;
import com.srs.common.core.domain.AjaxResult;
import com.srs.comprehensive.service.IVBZRClassService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/vbzrclass")
public class VBZRClassController {
    @Autowired
    public IVBZRClassService vbzrClassService;

    //@Anonymous
    @GetMapping("/VBZRClassList")
    public AjaxResult getVBZRClassList(){
        return AjaxResult.success(vbzrClassService.selectVbzrClass());
    }

}
