//package com.srs.web.controller.dormitory;
//
//import com.srs.common.core.controller.BaseController;
//import com.srs.common.core.domain.AjaxResult;
//import com.srs.common.core.page.TableDataInfo;
//import com.srs.dormitory.domain.Dto.DeptBuildingDto;
//import com.srs.dormitory.service.IDmsBuildingDeptService;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import lombok.AllArgsConstructor;
//import org.springframework.web.bind.annotation.*;
//
///**
// * <p>
// * 宿舍楼和部门关系中间表 前端控制器
// * </p>
// *
// * @author 猪油骨
// * @since 2023-07-31
// */
//@RestController
//@RequestMapping("/dormitory/dms-building-dept")
//@Api(tags = "宿舍部门关联")
//@AllArgsConstructor
//public class DmsBuildingDeptController extends BaseController {
//
//    private final IDmsBuildingDeptService dmsBuildingDeptService;
//
//    @PostMapping("/addDept")
//    @ApiOperation(value = "宿舍楼绑定部门")
//    public AjaxResult addDept(@RequestBody DeptBuildingDto dto) {
//        return dmsBuildingDeptService.addDept(dto);
//    }
//
//    @GetMapping("/genderCount")
//    @ApiOperation(value = "查询部门男女人数")
//    public TableDataInfo genderCount(Long gradeId) {
//        startPage();
//        return getDataTable(dmsBuildingDeptService.genderCount(gradeId));
//    }
//
//    @GetMapping("/emptyDormitory")
//    @ApiOperation(value = "空宿舍以及剩余床位")
//    public TableDataInfo emptyDormitory() {
//        startPage();
//        return getDataTable(dmsBuildingDeptService.emptyDormitory());
//    }
//
//    @GetMapping("/buildingAllocation")
//    @ApiOperation(value = "宿舍楼分配情况")
//    public TableDataInfo buildingAllocation(){
//        startPage();
//        return getDataTable(dmsBuildingDeptService.buildingAllocation());
//    }
//
//}
