package com.srs.comprehensive.domain.Dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.srs.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class CphProRankingDto {
    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @Excel(name = "学号")
    private String stuNo;


    @Excel(name = "姓名")
    private String xsxm;


    @Excel(name = "班级")
    private String className;


    @Excel(name = "所修课程学分")
        private BigDecimal courseCredit;


    @Excel(name = "所得学分")
    private BigDecimal totalCredit;


    @Excel(name = "总成绩")
    private BigDecimal totalScore;


    @Excel(name = "课程门数")
    private Long courseNum;


    @Excel(name = "平均分")
    private BigDecimal avgScore;


    @Excel(name = "平均学分绩")
    private BigDecimal avgCredit;


    @Excel(name = "排名")
    private Long ranking;


    @Excel(name = "不及格课程数门数")
    private Long nopass;

//    @Excel(name = "学年id")
    private Long stuYearId;
    public  String stuYearName;
    public  Long classId;
}
