package com.srs.comprehensive.domain;
import com.srs.common.annotation.Excel;

import java.util.Date;
import lombok.Data;

@Data
public class PingYutable {
    /**
     * 学生学号
     */
    @Excel(name = "学号")
    private String studentCode;

    /**
     * 学生姓名
     */
    @Excel(name = "姓名")
    private String studentName;

    /**
     * 学生所属学院
     */
    @Excel(name = "学院")
    private String studentCollege;

    /**
     * 学生所属年级
     */
    @Excel(name = "年级")
    private String studentGrade;

    /**
     * 学生所属班级
     */
    @Excel(name = "班级")
    private String studentClass;

    /**
     * 性别（女，男）
     */
    @Excel(name = "性别")
    private String sex;

    /**
     * 民族
     */
    @Excel(name = "民族")
    private String nation;

    /**
     * 出生日期
     */
    @Excel(name = "出生年月")
    private Date birthData;

    /**
     * 辅导员评语
     */
    @Excel(name = "辅导员评语")
    private String counselorComments;

    /**
     * 辅导员姓名
     */
    @Excel(name = "辅导员姓名")
    private String counselorName;

    /**
     * 填写日期
     */
    @Excel(name = "年月日")
    private Date fillData;

    /**
     * 学院意见
     */
    @Excel(name = "学院意见")
    private String collegeOpinion;

}
