package com.srs.comprehensive.mapper;

import com.srs.comprehensive.domain.InfoStudent;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * (InfoStudent)表数据库访问层
 *
 * @author Chao
 * @since 2023-07-13 15:58:20
 */
@Mapper
public interface InfoStudentMapper {

    /**
     * 查询所有数据
     *
     * @return 实例对象集合
     */
    List<InfoStudent> queryAll( );



    /**
     * 修改数据
     *
     * @param infoStudent 实例对象
     * @return 影响行数
     */
    int update(InfoStudent infoStudent);


}


