package com.srs.comprehensive.mapper;

import com.srs.comprehensive.domain.InfoTeacher;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import java.util.List;

/**
 * 辅导员信息(InfoTeacher)表数据库访问层
 *
 * @author Chao
 * @since 2023-07-14 09:27:11
 */
@Mapper
public interface InfoTeacherMapper {

    /**
     * 查询所有数据
     *
     * @return 实例对象集合
     */
    List<InfoTeacher> queryAll(InfoTeacher infoTeacher);


    /**
     * 修改数据
     *
     * @param infoTeacher 实例对象
     * @return 影响行数
     */
    int update(InfoTeacher infoTeacher);


}


