package com.srs.framework.autoconfig;

import com.srs.framework.autoconfig.properties.SmsProperties;
import com.srs.framework.autoconfig.template.SmsTemplate;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;

@EnableConfigurationProperties({SmsProperties.class})
public class SrsAutoConfig {
    @Bean
    public SmsTemplate smsTemplate(SmsProperties properties){
        return new SmsTemplate(properties);
    }

}