package com.srs.routine.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("各班请假人数分布视图")
public class ClassStuLeaveDataStatistics implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("班级ID")
    private Long classId;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("事假人数")
    private Integer personalLeaveCount;

    @ApiModelProperty("病假人数")
    private Integer sickLeaveCount;
}
