package com.srs.routine.domain.vo;

import com.srs.routine.domain.RtFuReservation;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class RtFuAuditVo implements Serializable {
    private static final long serialVersionUID=1L;

    /**
     *
     */
    @ApiModelProperty("id")
    private Long id;

    /**
     * 关联功能房预约表
     */
    @ApiModelProperty("关联功能房预约表")
    private String reNo;

    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态")
    private String auStatus;

    /**
     * 审核不通过理由
     */
    @ApiModelProperty("审核不通过理由")
    private String reason;

    /**
     * 审核者名字
     */
    @ApiModelProperty("审核者名字")
    private String auditor;

    /**
     * 审核者部门
     */
    @ApiModelProperty("审核者部门")
    private String depart;

    private RtFuResourceVo reservation;
    private List<RtFuResourceVo> reservationList;
}
