package com.srs.routine.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("假条填报基础数据填报")
public class StuInfoReturnVo implements Serializable {

    @ApiModelProperty("学号")
    private String stuNo;

    @ApiModelProperty("姓名")
    private String studentName;

    @ApiModelProperty("性别")
    private String gender;

    @ApiModelProperty("院系")
    private String departmentName;

    @ApiModelProperty("班级")
    private String className;

    @ApiModelProperty("联系电话")
    private String phoneNumber;

    @ApiModelProperty("父亲姓名")
    private String fatherName;

    @ApiModelProperty("父亲联系电话")
    private String fatherRelation;

    @ApiModelProperty("年级")
    private String gradeName;

    @ApiModelProperty("民族")
    private String mz;

    @ApiModelProperty("籍贯")
    private String jg;

    @ApiModelProperty("户口所在省")
    private String hksz1;

    @ApiModelProperty("户口所在市/区")
    private String hksz2;

    @ApiModelProperty("户口所在区/县")
    private String hksz3;

    @ApiModelProperty("出生日期")
    private String birthday;

    @ApiModelProperty("签名")
    private String assigneeSign;


}
