package com.srs.routine.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

@Data
@ApiModel("请假操作记录详情")
public class StuLeaveOperationRecordsDetailsVo implements java.io.Serializable{

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("操作记录id")
    private Long operationRecordsId;

    @ApiModelProperty("请假申请id")
    private Long leaveApplicationId;

    @ApiModelProperty("操作类型")
    private String operationType;

    @ApiModelProperty("操作结果")
    private String operationResult;

    @ApiModelProperty("操作时间")
    private String signatureDate;

    @ApiModelProperty("操作人")
    private String signature;

    @ApiModelProperty("操作备注")
    private String comments;

    @ApiModelProperty("操作时间")
    private String createTime;

}
