package com.srs.teacher.domain.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel("综合绩效数据")
public class SysPerformanceTaskDao {

    /**
     * 序号
     */
    @Excel(name = "序号",isSeq = true)
    private Long seq;

    /**
     * 工号
     */
    @ApiModelProperty("工号")
    @Excel(name = "工号")
    private String creditPass;

    /**
     * 学院
     */
    @ApiModelProperty("学院")
    @Excel(name = "学院")
    private String college;

    /**
     * 填报人
     */
    @ApiModelProperty("填报人")
    @Excel(name = "填报人")
    private String fdName;

    /**
     * 年份
     */
    @ApiModelProperty("年份")
    @Excel(name = "年份")
    private String years;

    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态")
    @Excel(name = "审核状态")
    private Long shstatus;


//    /**
//     * 任务描述
//     */
    @ApiModelProperty("任务描述")
    @TableField("task_describe")
    @Excel(name = "任务描述")
    private String taskDescribe;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    @TableField("task_start")
    @Excel(name = "开始时间")
    private String taskStart;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    @TableField("task_end")
    @Excel(name = "结束时间")
    private String taskEnd;





//
//
//    /**
//     * 个人填报-辅导员工作室
//     */
//    @ApiModelProperty(value = "个人填报-辅导员工作室工作室", hidden = true)
//    @Excel(name = "个人填报-辅导员工作室工作室")
//    private List<SysPerformanceActive> activeList;
//
//    /**
//     * 个人填报-辅导员承担任务
//     */
//    @ApiModelProperty(value = "个人填报-承担任务", hidden = true)
//    @Excel(name = "个人填报-承担任务")
//    private List<SysPerformanceRw> rwList;
//
//
//    /**
//     * 个人填报-辅导员承担任务
//     */
//    @ApiModelProperty(value = "个人填报-担任职务", hidden = true)
//    @Excel(name = "个人填报-担任职务")
//    private List<SysPerformanceServing> servingList;
//
//
//    /**
//     * 个人填报-辅导员承担任务
//     */
//    @ApiModelProperty(value = "个人填报-最大奖励", hidden = true)
//    @Excel(name = "个人填报-最大奖励")
//    private List<SysPerformanceTask> taskList;
//
//
//
//    /**
//     * 个人填报-辅导员承担任务
//     */
//    @ApiModelProperty(value = "个人填报-最大奖励", hidden = true)
//    @Excel(name = "个人填报-最大奖励")
//    private List<SysPerformancePass> passList;


}
